import numpy as np
import matplotlib.pyplot as plt
import pyroomacoustics as pra

# Create a 4 by 6 metres shoe box room
room = pra.ShoeBox([4,6], fs=16000)

# Add a source somewhere in the room
room.add_source([2.5, 4.5])

# circular array with 4 microphones and radius 4 cm
R = pra.circular_2D_array([2, 1.5], 8, 0, 0.04)
bf = pra.Beamformer(R, room.fs)
room.add_microphone_array(bf)

# Now compute the delay and sum weights
room.micArray.rake_delay_and_sum_weights(
                                 room.sources[0][:1])

# plot the room and resulting beamformer
room.plot(freq=[2000, 4000, 6000], img_order=0)
plt.show()
